Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606982 - configchannel.createOrUpdatePath doesn't allow creation of binary files
configchannel.createOrUpdatePath doesn't allow creation of binary files
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-06-22 16:38 EDT by Aron Parsons
Modified: 2016-01-04 00:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 16:12:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aron Parsons 2010-06-22 16:38:03 EDT
Description of problem:
configchannel.createOrUpdatePath doesn't allow creation of binary files.  It allows you to pass a base64 encoded string, but doesn't mark it as binary.  The file is stored as a text file with the contents being the base64 encoded string.

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. in Python: contents = open('/bin/sleep', 'rb').read().encode('base64')
2. set the 'contents' in the data structure and call configchannel.createOrUpdatePath()
  
Actual results:
Satellite doesn't recognize base64 encoded contents and marks the file as text in the configuration channel

Expected results:
Satellite should notice the base64 encoded string and mark the file as binary in the configuration channel

Additional info:

Note You need to log in before you can comment on or make changes to this bug.